<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.jeecg.modules.stm.rectify.exec.mapper.StRectifyExecMapper">
	<select id="queryExecByPlanId" resultType="org.jeecg.modules.stm.rectify.exec.entity.StRectifyExec">
		select
		id as id ,
		problem_task_id as problemTaskId ,
		rectify_plan_id as
		rectifyPlanId ,
		exec_time as execTime ,
		rectify_des as rectifyDes ,
		exec_user as execUser ,
		created_user as createdUser ,
		created_time as
		createdTime ,
		updated_user as updatedUser ,
		updated_time as updatedTime
		from
		st_rectify_exec a
		<where>
			<if test="stRectifyPlanVo.editFlag!=null">
				a.RECTIFY_PLAN_ID = #{stRectifyPlanVo.id}
			</if>
		</where>
		order by a.EXEC_TIME asc
	</select>
</mapper>